<?php // プラグインの削除時以外は何もしない
if (!defined('WP_UNINSTALL_PLUGIN')) exit;

// オプションテーブルデータの削除
delete_option('hautility-option-01-optimize');
delete_option('hautility-option-02-optimize');
delete_option('hautility-option-03-optimize');
delete_option( 'hautility-option-04-optimize');
delete_option('hautility-option-05-optimize');

delete_option('hautility-option-01-ana-ad');
delete_option('hautility-option-02-ana-ad');
delete_option('hautility-option-03-ana-ad');
delete_option('hautility-option-04-ana-ad');
delete_option('hautility-option-05-ana-ad');

delete_option('hautility-option-01-security');
delete_option('hautility-option-02-security');
delete_option('hautility-option-03-security');
delete_option('hautility-option-04-security');

delete_option('hautility-option-01-utility');
delete_option('hautility-option-02-utility');
delete_option('hautility-option-03-utility');
delete_option('hautility-option-04-utility');
delete_option('hautility-option-05-utility');
delete_option('hautility-option-06-utility');
delete_option('hautility-option-08-utility');

delete_option('hautility-option-01-addcontent');
delete_option('hautility-option-02-addcontent');
delete_option('hautility-option-03-addcontent');
delete_option('hautility-option-04-addcontent');
delete_option('hautility-option-05-addcontent');
delete_option('hautility-option-06-addcontent');
delete_option('hautility-option-07-addcontent');
delete_option('hautility-option-08-addcontent');
delete_option('hautility-option-09-addcontent');
delete_option('hautility-option-10-addcontent');
delete_option('hautility-option-11-addcontent');
delete_option('hautility-option-12-addcontent');

delete_option('hautility-option-01-media');
delete_option('hautility-option-02-media');
delete_option('hautility-option-03-media');

delete_option('hautility-option-01-blocktheme');
delete_option('hautility-option-02-blocktheme');
delete_option('hautility-option-03-blocktheme');

delete_option('hautility-option-01-blockoption');
delete_option('hautility-option-02-blockoption');
delete_option('hautility-option-03-blockoption');
delete_option('hautility-option-04-blockoption');
delete_option('hautility-option-05-blockoption');

// プラグインのバージョン
delete_option('haup_plugin_version');

//ログインログ
delete_option('haup_custom_login_logs');

//テーマファイル変更ログ
delete_option('haup_last_changed_theme_files');
delete_option('haup_last_changed_theme_files_check_time');

//IPブロックリスト
delete_option('haup_ip_block_stats');
delete_option('haup_custom_blocked_ips');

//ファイル整合性監視ウィジェットの最終更新日
delete_option('hautility_last_file_security_check_date');